import { OnesTable } from '../../../../../@ones-table/common';
import { MenubarItemBase } from './menubar-item-base';
import { AbstractCommandBar, Closeable, CommandItem } from '../../types';
import { CommandBar } from '../../command-bar';
export default class FormatMenuItem extends MenubarItemBase {
    constructor(table: OnesTable, closeable: Closeable);
    getItems(): CommandItem[];
    updateState(bar?: CommandBar): void;
    beforePopup(subBar: AbstractCommandBar): void;
}
